Retrieve a specific schedule by its unique identifier. Returns detailed information including rules, timezone, and associated calendars/users.

http
GET https://services.leadconnectorhq.com/calendars/schedules/{id}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
idstringYesIkqiJlXJ7o9h61tCHHodUnique identifier of the schedule

Responses

200 - Schedule found and retrieved successfully
  • schedule (object, required): Schedule

json
{}
400 - Invalid request parameters
json
{}
401 - User not authenticated
json
{}
404 - Schedule with the specified ID was not found

Example

curl -X GET 'https://services.leadconnectorhq.com/calendars/schedules/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?